diff --git a/protocol/server/pbdata.proto b/protocol/server/pbdata.proto
index b70f796..6b54625 100644
--- a/protocol/server/pbdata.proto
+++ b/protocol/server/pbdata.proto
@@ -1601,8 +1601,6 @@ message DB_VIP {
 
 	map<int64, int64> Award = 18;
 
-	repeated string ParamName = 19;
-
 }
 
 message DB_VIPArray {
diff --git a/srvdata/db_activity1.go b/srvdata/db_activity1.go
index 446181b..1474dce 100644
--- a/srvdata/db_activity1.go
+++ b/srvdata/db_activity1.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Activity1Mgr = &DB_Activity1Mgr{pool: make(map[int32]*server.DB_Activity1), Datas: &server.DB_Activity1Array{}}
+var PBDB_Activity1Mgr = &DB_Activity1Mgr{
+    Datas: &server.DB_Activity1Array{},
+    pool: make(map[int32]*server.DB_Activity1),
+    
+}
 
 type DB_Activity1Mgr struct {
 	Datas *server.DB_Activity1Array
 	pool  map[int32]*server.DB_Activity1
+	
 }
 
 func (this *DB_Activity1Mgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Activity1Mgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Activity1Mgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Activity1Mgr) GetData(id int32) *server.DB_Activity1 {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Activity1.dat", &ProtobufDataLoader{dh: PBDB_Activity1Mgr})
 }
diff --git a/srvdata/db_actsign.go b/srvdata/db_actsign.go
index 96d5443..c438cb2 100644
--- a/srvdata/db_actsign.go
+++ b/srvdata/db_actsign.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ActSignMgr = &DB_ActSignMgr{pool: make(map[int32]*server.DB_ActSign), Datas: &server.DB_ActSignArray{}}
+var PBDB_ActSignMgr = &DB_ActSignMgr{
+    Datas: &server.DB_ActSignArray{},
+    pool: make(map[int32]*server.DB_ActSign),
+    
+}
 
 type DB_ActSignMgr struct {
 	Datas *server.DB_ActSignArray
 	pool  map[int32]*server.DB_ActSign
+	
 }
 
 func (this *DB_ActSignMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ActSignMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ActSignMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ActSignMgr) GetData(id int32) *server.DB_ActSign {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ActSign.dat", &ProtobufDataLoader{dh: PBDB_ActSignMgr})
 }
diff --git a/srvdata/db_animalcolor.go b/srvdata/db_animalcolor.go
index 4da09e2..4ad5b8e 100644
--- a/srvdata/db_animalcolor.go
+++ b/srvdata/db_animalcolor.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_AnimalColorMgr = &DB_AnimalColorMgr{pool: make(map[int32]*server.DB_AnimalColor), Datas: &server.DB_AnimalColorArray{}}
+var PBDB_AnimalColorMgr = &DB_AnimalColorMgr{
+    Datas: &server.DB_AnimalColorArray{},
+    pool: make(map[int32]*server.DB_AnimalColor),
+    
+}
 
 type DB_AnimalColorMgr struct {
 	Datas *server.DB_AnimalColorArray
 	pool  map[int32]*server.DB_AnimalColor
+	
 }
 
 func (this *DB_AnimalColorMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_AnimalColorMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_AnimalColorMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_AnimalColorMgr) GetData(id int32) *server.DB_AnimalColor {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_AnimalColor.dat", &ProtobufDataLoader{dh: PBDB_AnimalColorMgr})
 }
diff --git a/srvdata/db_artilleryrate.go b/srvdata/db_artilleryrate.go
index 76ec3aa..239aa1d 100644
--- a/srvdata/db_artilleryrate.go
+++ b/srvdata/db_artilleryrate.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ArtilleryRateMgr = &DB_ArtilleryRateMgr{pool: make(map[int32]*server.DB_ArtilleryRate), Datas: &server.DB_ArtilleryRateArray{}}
+var PBDB_ArtilleryRateMgr = &DB_ArtilleryRateMgr{
+    Datas: &server.DB_ArtilleryRateArray{},
+    pool: make(map[int32]*server.DB_ArtilleryRate),
+    
+}
 
 type DB_ArtilleryRateMgr struct {
 	Datas *server.DB_ArtilleryRateArray
 	pool  map[int32]*server.DB_ArtilleryRate
+	
 }
 
 func (this *DB_ArtilleryRateMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ArtilleryRateMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ArtilleryRateMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ArtilleryRateMgr) GetData(id int32) *server.DB_ArtilleryRate {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ArtilleryRate.dat", &ProtobufDataLoader{dh: PBDB_ArtilleryRateMgr})
 }
diff --git a/srvdata/db_artilleryskin.go b/srvdata/db_artilleryskin.go
index 0895439..ef86c71 100644
--- a/srvdata/db_artilleryskin.go
+++ b/srvdata/db_artilleryskin.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ArtillerySkinMgr = &DB_ArtillerySkinMgr{pool: make(map[int32]*server.DB_ArtillerySkin), Datas: &server.DB_ArtillerySkinArray{}}
+var PBDB_ArtillerySkinMgr = &DB_ArtillerySkinMgr{
+    Datas: &server.DB_ArtillerySkinArray{},
+    pool: make(map[int32]*server.DB_ArtillerySkin),
+    
+}
 
 type DB_ArtillerySkinMgr struct {
 	Datas *server.DB_ArtillerySkinArray
 	pool  map[int32]*server.DB_ArtillerySkin
+	
 }
 
 func (this *DB_ArtillerySkinMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ArtillerySkinMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ArtillerySkinMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ArtillerySkinMgr) GetData(id int32) *server.DB_ArtillerySkin {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ArtillerySkin.dat", &ProtobufDataLoader{dh: PBDB_ArtillerySkinMgr})
 }
diff --git a/srvdata/db_blackwhite.go b/srvdata/db_blackwhite.go
index 7147d70..93a4f9e 100644
--- a/srvdata/db_blackwhite.go
+++ b/srvdata/db_blackwhite.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_BlackWhiteMgr = &DB_BlackWhiteMgr{pool: make(map[int32]*server.DB_BlackWhite), Datas: &server.DB_BlackWhiteArray{}}
+var PBDB_BlackWhiteMgr = &DB_BlackWhiteMgr{
+    Datas: &server.DB_BlackWhiteArray{},
+    pool: make(map[int32]*server.DB_BlackWhite),
+    
+}
 
 type DB_BlackWhiteMgr struct {
 	Datas *server.DB_BlackWhiteArray
 	pool  map[int32]*server.DB_BlackWhite
+	
 }
 
 func (this *DB_BlackWhiteMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_BlackWhiteMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_BlackWhiteMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_BlackWhiteMgr) GetData(id int32) *server.DB_BlackWhite {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_BlackWhite.dat", &ProtobufDataLoader{dh: PBDB_BlackWhiteMgr})
 }
diff --git a/srvdata/db_cardsjd.go b/srvdata/db_cardsjd.go
index e799824..8bba2ce 100644
--- a/srvdata/db_cardsjd.go
+++ b/srvdata/db_cardsjd.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CardsJDMgr = &DB_CardsJDMgr{pool: make(map[int32]*server.DB_CardsJD), Datas: &server.DB_CardsJDArray{}}
+var PBDB_CardsJDMgr = &DB_CardsJDMgr{
+    Datas: &server.DB_CardsJDArray{},
+    pool: make(map[int32]*server.DB_CardsJD),
+    
+}
 
 type DB_CardsJDMgr struct {
 	Datas *server.DB_CardsJDArray
 	pool  map[int32]*server.DB_CardsJD
+	
 }
 
 func (this *DB_CardsJDMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CardsJDMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CardsJDMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CardsJDMgr) GetData(id int32) *server.DB_CardsJD {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_CardsJD.dat", &ProtobufDataLoader{dh: PBDB_CardsJDMgr})
 }
diff --git a/srvdata/db_cardsyule.go b/srvdata/db_cardsyule.go
index 02557d3..11dd887 100644
--- a/srvdata/db_cardsyule.go
+++ b/srvdata/db_cardsyule.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CardsYuLeMgr = &DB_CardsYuLeMgr{pool: make(map[int32]*server.DB_CardsYuLe), Datas: &server.DB_CardsYuLeArray{}}
+var PBDB_CardsYuLeMgr = &DB_CardsYuLeMgr{
+    Datas: &server.DB_CardsYuLeArray{},
+    pool: make(map[int32]*server.DB_CardsYuLe),
+    
+}
 
 type DB_CardsYuLeMgr struct {
 	Datas *server.DB_CardsYuLeArray
 	pool  map[int32]*server.DB_CardsYuLe
+	
 }
 
 func (this *DB_CardsYuLeMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CardsYuLeMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CardsYuLeMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CardsYuLeMgr) GetData(id int32) *server.DB_CardsYuLe {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_CardsYuLe.dat", &ProtobufDataLoader{dh: PBDB_CardsYuLeMgr})
 }
diff --git a/srvdata/db_chessbilledrules.go b/srvdata/db_chessbilledrules.go
index bd1693f..833358c 100644
--- a/srvdata/db_chessbilledrules.go
+++ b/srvdata/db_chessbilledrules.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ChessBilledRulesMgr = &DB_ChessBilledRulesMgr{pool: make(map[int32]*server.DB_ChessBilledRules), Datas: &server.DB_ChessBilledRulesArray{}}
+var PBDB_ChessBilledRulesMgr = &DB_ChessBilledRulesMgr{
+    Datas: &server.DB_ChessBilledRulesArray{},
+    pool: make(map[int32]*server.DB_ChessBilledRules),
+    
+}
 
 type DB_ChessBilledRulesMgr struct {
 	Datas *server.DB_ChessBilledRulesArray
 	pool  map[int32]*server.DB_ChessBilledRules
+	
 }
 
 func (this *DB_ChessBilledRulesMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ChessBilledRulesMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ChessBilledRulesMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ChessBilledRulesMgr) GetData(id int32) *server.DB_ChessBilledRule
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ChessBilledRules.dat", &ProtobufDataLoader{dh: PBDB_ChessBilledRulesMgr})
 }
diff --git a/srvdata/db_chessmatchrules.go b/srvdata/db_chessmatchrules.go
index 519092c..fcd6d23 100644
--- a/srvdata/db_chessmatchrules.go
+++ b/srvdata/db_chessmatchrules.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ChessMatchRulesMgr = &DB_ChessMatchRulesMgr{pool: make(map[int32]*server.DB_ChessMatchRules), Datas: &server.DB_ChessMatchRulesArray{}}
+var PBDB_ChessMatchRulesMgr = &DB_ChessMatchRulesMgr{
+    Datas: &server.DB_ChessMatchRulesArray{},
+    pool: make(map[int32]*server.DB_ChessMatchRules),
+    
+}
 
 type DB_ChessMatchRulesMgr struct {
 	Datas *server.DB_ChessMatchRulesArray
 	pool  map[int32]*server.DB_ChessMatchRules
+	
 }
 
 func (this *DB_ChessMatchRulesMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ChessMatchRulesMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ChessMatchRulesMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ChessMatchRulesMgr) GetData(id int32) *server.DB_ChessMatchRules
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ChessMatchRules.dat", &ProtobufDataLoader{dh: PBDB_ChessMatchRulesMgr})
 }
diff --git a/srvdata/db_chessrank.go b/srvdata/db_chessrank.go
index ee3fd34..2dd482f 100644
--- a/srvdata/db_chessrank.go
+++ b/srvdata/db_chessrank.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ChessRankMgr = &DB_ChessRankMgr{pool: make(map[int32]*server.DB_ChessRank), Datas: &server.DB_ChessRankArray{}}
+var PBDB_ChessRankMgr = &DB_ChessRankMgr{
+    Datas: &server.DB_ChessRankArray{},
+    pool: make(map[int32]*server.DB_ChessRank),
+    
+}
 
 type DB_ChessRankMgr struct {
 	Datas *server.DB_ChessRankArray
 	pool  map[int32]*server.DB_ChessRank
+	
 }
 
 func (this *DB_ChessRankMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ChessRankMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ChessRankMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ChessRankMgr) GetData(id int32) *server.DB_ChessRank {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ChessRank.dat", &ProtobufDataLoader{dh: PBDB_ChessRankMgr})
 }
diff --git a/srvdata/db_clientver.go b/srvdata/db_clientver.go
index 94c973a..3538da4 100644
--- a/srvdata/db_clientver.go
+++ b/srvdata/db_clientver.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_ClientVerMgr = &DB_ClientVerMgr{pool: make(map[int32]*server.DB_ClientVer), Datas: &server.DB_ClientVerArray{}}
+var PBDB_ClientVerMgr = &DB_ClientVerMgr{
+    Datas: &server.DB_ClientVerArray{},
+    pool: make(map[int32]*server.DB_ClientVer),
+    
+}
 
 type DB_ClientVerMgr struct {
 	Datas *server.DB_ClientVerArray
 	pool  map[int32]*server.DB_ClientVer
+	
 }
 
 func (this *DB_ClientVerMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_ClientVerMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_ClientVerMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_ClientVerMgr) GetData(id int32) *server.DB_ClientVer {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_ClientVer.dat", &ProtobufDataLoader{dh: PBDB_ClientVerMgr})
 }
diff --git a/srvdata/db_collectbox.go b/srvdata/db_collectbox.go
index 8430d78..7df501d 100644
--- a/srvdata/db_collectbox.go
+++ b/srvdata/db_collectbox.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CollectBoxMgr = &DB_CollectBoxMgr{pool: make(map[int32]*server.DB_CollectBox), Datas: &server.DB_CollectBoxArray{}}
+var PBDB_CollectBoxMgr = &DB_CollectBoxMgr{
+    Datas: &server.DB_CollectBoxArray{},
+    pool: make(map[int32]*server.DB_CollectBox),
+    
+}
 
 type DB_CollectBoxMgr struct {
 	Datas *server.DB_CollectBoxArray
 	pool  map[int32]*server.DB_CollectBox
+	
 }
 
 func (this *DB_CollectBoxMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CollectBoxMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CollectBoxMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CollectBoxMgr) GetData(id int32) *server.DB_CollectBox {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_CollectBox.dat", &ProtobufDataLoader{dh: PBDB_CollectBoxMgr})
 }
diff --git a/srvdata/db_collectboxgain.go b/srvdata/db_collectboxgain.go
index dfa8820..131e212 100644
--- a/srvdata/db_collectboxgain.go
+++ b/srvdata/db_collectboxgain.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CollectBoxGainMgr = &DB_CollectBoxGainMgr{pool: make(map[int32]*server.DB_CollectBoxGain), Datas: &server.DB_CollectBoxGainArray{}}
+var PBDB_CollectBoxGainMgr = &DB_CollectBoxGainMgr{
+    Datas: &server.DB_CollectBoxGainArray{},
+    pool: make(map[int32]*server.DB_CollectBoxGain),
+    
+}
 
 type DB_CollectBoxGainMgr struct {
 	Datas *server.DB_CollectBoxGainArray
 	pool  map[int32]*server.DB_CollectBoxGain
+	
 }
 
 func (this *DB_CollectBoxGainMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CollectBoxGainMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CollectBoxGainMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CollectBoxGainMgr) GetData(id int32) *server.DB_CollectBoxGain {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_CollectBoxGain.dat", &ProtobufDataLoader{dh: PBDB_CollectBoxGainMgr})
 }
diff --git a/srvdata/db_crashsearch.go b/srvdata/db_crashsearch.go
index 375cf9c..0460866 100644
--- a/srvdata/db_crashsearch.go
+++ b/srvdata/db_crashsearch.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CrashSearchMgr = &DB_CrashSearchMgr{pool: make(map[int32]*server.DB_CrashSearch), Datas: &server.DB_CrashSearchArray{}}
+var PBDB_CrashSearchMgr = &DB_CrashSearchMgr{
+    Datas: &server.DB_CrashSearchArray{},
+    pool: make(map[int32]*server.DB_CrashSearch),
+    
+}
 
 type DB_CrashSearchMgr struct {
 	Datas *server.DB_CrashSearchArray
 	pool  map[int32]*server.DB_CrashSearch
+	
 }
 
 func (this *DB_CrashSearchMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CrashSearchMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CrashSearchMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CrashSearchMgr) GetData(id int32) *server.DB_CrashSearch {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_CrashSearch.dat", &ProtobufDataLoader{dh: PBDB_CrashSearchMgr})
 }
diff --git a/srvdata/db_createroom.go b/srvdata/db_createroom.go
index 451c29d..a2721fb 100644
--- a/srvdata/db_createroom.go
+++ b/srvdata/db_createroom.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_CreateroomMgr = &DB_CreateroomMgr{pool: make(map[int32]*server.DB_Createroom), Datas: &server.DB_CreateroomArray{}}
+var PBDB_CreateroomMgr = &DB_CreateroomMgr{
+    Datas: &server.DB_CreateroomArray{},
+    pool: make(map[int32]*server.DB_Createroom),
+    
+}
 
 type DB_CreateroomMgr struct {
 	Datas *server.DB_CreateroomArray
 	pool  map[int32]*server.DB_Createroom
+	
 }
 
 func (this *DB_CreateroomMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_CreateroomMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_CreateroomMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_CreateroomMgr) GetData(id int32) *server.DB_Createroom {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Createroom.dat", &ProtobufDataLoader{dh: PBDB_CreateroomMgr})
 }
diff --git a/srvdata/db_fish.go b/srvdata/db_fish.go
index 0d8b480..f0d6736 100644
--- a/srvdata/db_fish.go
+++ b/srvdata/db_fish.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FishMgr = &DB_FishMgr{pool: make(map[int32]*server.DB_Fish), Datas: &server.DB_FishArray{}}
+var PBDB_FishMgr = &DB_FishMgr{
+    Datas: &server.DB_FishArray{},
+    pool: make(map[int32]*server.DB_Fish),
+    
+}
 
 type DB_FishMgr struct {
 	Datas *server.DB_FishArray
 	pool  map[int32]*server.DB_Fish
+	
 }
 
 func (this *DB_FishMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FishMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FishMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FishMgr) GetData(id int32) *server.DB_Fish {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Fish.dat", &ProtobufDataLoader{dh: PBDB_FishMgr})
 }
diff --git a/srvdata/db_fishout.go b/srvdata/db_fishout.go
index 2b62fd0..e2e2bfa 100644
--- a/srvdata/db_fishout.go
+++ b/srvdata/db_fishout.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FishOutMgr = &DB_FishOutMgr{pool: make(map[int32]*server.DB_FishOut), Datas: &server.DB_FishOutArray{}}
+var PBDB_FishOutMgr = &DB_FishOutMgr{
+    Datas: &server.DB_FishOutArray{},
+    pool: make(map[int32]*server.DB_FishOut),
+    
+}
 
 type DB_FishOutMgr struct {
 	Datas *server.DB_FishOutArray
 	pool  map[int32]*server.DB_FishOut
+	
 }
 
 func (this *DB_FishOutMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FishOutMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FishOutMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FishOutMgr) GetData(id int32) *server.DB_FishOut {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FishOut.dat", &ProtobufDataLoader{dh: PBDB_FishOutMgr})
 }
diff --git a/srvdata/db_fishpath.go b/srvdata/db_fishpath.go
index a0ac964..bef23d9 100644
--- a/srvdata/db_fishpath.go
+++ b/srvdata/db_fishpath.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FishPathMgr = &DB_FishPathMgr{pool: make(map[int32]*server.DB_FishPath), Datas: &server.DB_FishPathArray{}}
+var PBDB_FishPathMgr = &DB_FishPathMgr{
+    Datas: &server.DB_FishPathArray{},
+    pool: make(map[int32]*server.DB_FishPath),
+    
+}
 
 type DB_FishPathMgr struct {
 	Datas *server.DB_FishPathArray
 	pool  map[int32]*server.DB_FishPath
+	
 }
 
 func (this *DB_FishPathMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FishPathMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FishPathMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FishPathMgr) GetData(id int32) *server.DB_FishPath {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FishPath.dat", &ProtobufDataLoader{dh: PBDB_FishPathMgr})
 }
diff --git a/srvdata/db_fishroom.go b/srvdata/db_fishroom.go
index efc942a..ab1e06b 100644
--- a/srvdata/db_fishroom.go
+++ b/srvdata/db_fishroom.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FishRoomMgr = &DB_FishRoomMgr{pool: make(map[int32]*server.DB_FishRoom), Datas: &server.DB_FishRoomArray{}}
+var PBDB_FishRoomMgr = &DB_FishRoomMgr{
+    Datas: &server.DB_FishRoomArray{},
+    pool: make(map[int32]*server.DB_FishRoom),
+    
+}
 
 type DB_FishRoomMgr struct {
 	Datas *server.DB_FishRoomArray
 	pool  map[int32]*server.DB_FishRoom
+	
 }
 
 func (this *DB_FishRoomMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FishRoomMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FishRoomMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FishRoomMgr) GetData(id int32) *server.DB_FishRoom {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FishRoom.dat", &ProtobufDataLoader{dh: PBDB_FishRoomMgr})
 }
diff --git a/srvdata/db_fishskill.go b/srvdata/db_fishskill.go
index 9d53dd5..23be2f5 100644
--- a/srvdata/db_fishskill.go
+++ b/srvdata/db_fishskill.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FishSkillMgr = &DB_FishSkillMgr{pool: make(map[int32]*server.DB_FishSkill), Datas: &server.DB_FishSkillArray{}}
+var PBDB_FishSkillMgr = &DB_FishSkillMgr{
+    Datas: &server.DB_FishSkillArray{},
+    pool: make(map[int32]*server.DB_FishSkill),
+    
+}
 
 type DB_FishSkillMgr struct {
 	Datas *server.DB_FishSkillArray
 	pool  map[int32]*server.DB_FishSkill
+	
 }
 
 func (this *DB_FishSkillMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FishSkillMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FishSkillMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FishSkillMgr) GetData(id int32) *server.DB_FishSkill {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FishSkill.dat", &ProtobufDataLoader{dh: PBDB_FishSkillMgr})
 }
diff --git a/srvdata/db_fortunegod_odds.go b/srvdata/db_fortunegod_odds.go
index 709d110..4cb7978 100644
--- a/srvdata/db_fortunegod_odds.go
+++ b/srvdata/db_fortunegod_odds.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FortuneGod_OddsMgr = &DB_FortuneGod_OddsMgr{pool: make(map[int32]*server.DB_FortuneGod_Odds), Datas: &server.DB_FortuneGod_OddsArray{}}
+var PBDB_FortuneGod_OddsMgr = &DB_FortuneGod_OddsMgr{
+    Datas: &server.DB_FortuneGod_OddsArray{},
+    pool: make(map[int32]*server.DB_FortuneGod_Odds),
+    
+}
 
 type DB_FortuneGod_OddsMgr struct {
 	Datas *server.DB_FortuneGod_OddsArray
 	pool  map[int32]*server.DB_FortuneGod_Odds
+	
 }
 
 func (this *DB_FortuneGod_OddsMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FortuneGod_OddsMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FortuneGod_OddsMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FortuneGod_OddsMgr) GetData(id int32) *server.DB_FortuneGod_Odds
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FortuneGod_Odds.dat", &ProtobufDataLoader{dh: PBDB_FortuneGod_OddsMgr})
 }
diff --git a/srvdata/db_fortunegod_turnrate.go b/srvdata/db_fortunegod_turnrate.go
index 1c0b884..39bc290 100644
--- a/srvdata/db_fortunegod_turnrate.go
+++ b/srvdata/db_fortunegod_turnrate.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FortuneGod_TurnRateMgr = &DB_FortuneGod_TurnRateMgr{pool: make(map[int32]*server.DB_FortuneGod_TurnRate), Datas: &server.DB_FortuneGod_TurnRateArray{}}
+var PBDB_FortuneGod_TurnRateMgr = &DB_FortuneGod_TurnRateMgr{
+    Datas: &server.DB_FortuneGod_TurnRateArray{},
+    pool: make(map[int32]*server.DB_FortuneGod_TurnRate),
+    
+}
 
 type DB_FortuneGod_TurnRateMgr struct {
 	Datas *server.DB_FortuneGod_TurnRateArray
 	pool  map[int32]*server.DB_FortuneGod_TurnRate
+	
 }
 
 func (this *DB_FortuneGod_TurnRateMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FortuneGod_TurnRateMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FortuneGod_TurnRateMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FortuneGod_TurnRateMgr) GetData(id int32) *server.DB_FortuneGod_T
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FortuneGod_TurnRate.dat", &ProtobufDataLoader{dh: PBDB_FortuneGod_TurnRateMgr})
 }
diff --git a/srvdata/db_fortunegod_weight.go b/srvdata/db_fortunegod_weight.go
index edc188f..a417a7c 100644
--- a/srvdata/db_fortunegod_weight.go
+++ b/srvdata/db_fortunegod_weight.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FortuneGod_WeightMgr = &DB_FortuneGod_WeightMgr{pool: make(map[int32]*server.DB_FortuneGod_Weight), Datas: &server.DB_FortuneGod_WeightArray{}}
+var PBDB_FortuneGod_WeightMgr = &DB_FortuneGod_WeightMgr{
+    Datas: &server.DB_FortuneGod_WeightArray{},
+    pool: make(map[int32]*server.DB_FortuneGod_Weight),
+    
+}
 
 type DB_FortuneGod_WeightMgr struct {
 	Datas *server.DB_FortuneGod_WeightArray
 	pool  map[int32]*server.DB_FortuneGod_Weight
+	
 }
 
 func (this *DB_FortuneGod_WeightMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FortuneGod_WeightMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FortuneGod_WeightMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FortuneGod_WeightMgr) GetData(id int32) *server.DB_FortuneGod_Wei
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FortuneGod_Weight.dat", &ProtobufDataLoader{dh: PBDB_FortuneGod_WeightMgr})
 }
